DefaultEngineConfigurationFactory (Axis API)
Keywords: org.apache.axis.configuration.DefaultEngineConfigurationFactory,DefaultEngineConfigurationFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.configuration
Class DefaultEngineConfigurationFactory

    java.lang.Object
      |
      +--org.apache.axis.configuration.DefaultEngineConfigurationFactory

All Implemented Interfaces:
  EngineConfigurationFactory

Direct Known Subclasses:
  ServletEngineConfigurationFactory

public class DefaultEngineConfigurationFactory
extends java.lang.Object
implements EngineConfigurationFactory

This is a 'front' for replacement logic. Use EngineConfigurationFactoryFinder.newFactory().

Author:
  Richard A. Sitze, Glyn Normington (glyn@apache.org)

Field Summary
`protected EngineConfigurationFactory` | `factory` Deprecated.

Fields inherited from interface org.apache.axis.EngineConfigurationFactory
`SYSTEM_PROPERTY_NAME`

Constructor Summary
`` | `DefaultEngineConfigurationFactory()` Deprecated. Create the default engine configuration and detect whether the user has overridden this with their own.
`protected` | `DefaultEngineConfigurationFactory(EngineConfigurationFactory factory)` Deprecated.

Method Summary
`EngineConfiguration` | `getClientEngineConfig()` Deprecated. Get a default client engine configuration.
`EngineConfiguration` | `getServerEngineConfig()` Deprecated. Get a default server engine configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected final EngineConfigurationFactory factory

  Deprecated.

Constructor Detail

### DefaultEngineConfigurationFactory

    protected DefaultEngineConfigurationFactory(EngineConfigurationFactory factory)

  Deprecated.

### DefaultEngineConfigurationFactory

    public DefaultEngineConfigurationFactory()

  Deprecated.
  Create the default engine configuration and detect whether the user has overridden this with their own.

Method Detail

### getClientEngineConfig

    public EngineConfiguration getClientEngineConfig()

  Deprecated.
  Get a default client engine configuration.

  Specified by:
    `getClientEngineConfig` in interface `EngineConfigurationFactory`
  Returns:
    a client EngineConfiguration

### getServerEngineConfig

    public EngineConfiguration getServerEngineConfig()

  Deprecated.
  Get a default server engine configuration.

  Specified by:
    `getServerEngineConfig` in interface `EngineConfigurationFactory`
  Returns:
    a server EngineConfiguration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.